#!/bin/bash
export PROJECT=sitedb
### Pick up the base path from RPM, instead of hardcoding it here..
export PROJ_DIR=/data/projects/$PROJECT 
export PROJ_CONFIG=$PROJ_DIR/config
export SEC_MOD_INI=$PROJ_CONFIG/security.ini
export SCRAM_ARCH=slc4_ia32_gcc345
export APT_VERSION=0.5.15lorg3.2-cmp
. $SCRAM_ARCH/external/apt/$APT_VERSION/etc/profile.d/init.sh
export SITEDB_VERSION=`apt-cache search sitedb|awk '{print $1}'|awk -F + '{print $3}'|tail -1`
mkdir -p $PROJ_DIR/logs

# Development
#export SITEDB_PORT=8058
#export SITEDB_BASE=sitedb_wttest

# Production
export SITEDB_PORT=8055
export SITEDB_BASE=sitedb

cd $PROJ_DIR
. $PROJ_DIR/$SCRAM_ARCH/cms/sitedb/$SITEDB_VERSION/etc/profile.d/init.sh

# Development
#cmsWeb --base-url https://cmsweb.cern.ch/$SITEDB_BASE -p $SITEDB_PORT --default-page /sitelist --my-sitedb-ini=$PROJ_CONFIG/sitedb.ini --log-level 10000 &> $PROJ_DIR/sitedb`date +%m%d%y`.log &

# Production
cmsWeb --base-url https://cmsweb.cern.ch/$SITEDB_BASE -p $SITEDB_PORT --default-page /sitelist --my-sitedb-ini=$PROJ_CONFIG/sitedb.ini &> $PROJ_DIR/logs/sitedb`date +%m%d%y`.log &
